import 'dart:async';
import 'dart:math';

import 'package:flutter/services.dart';

class Flutterlogplugin {
  static const MethodChannel _channel =
      const MethodChannel('com.dyn/flutterlogplugin');
  /// type 1 e,2 e 3 d 4 v
  static void i(String tag,String message){
    _log(0,tag,message);
  }
  static void e(String tag,String message){
    _log(1,tag,message);
  }
  static void w(String tag,String message){
    _log(2,tag,message);
  }
  static void d(String tag,String message){
    _log(3,tag,message);
  }
  static void v(String tag,String message){
    _log(4,tag,message);
  }
  static void _log(int type,String tag,String message){
    _channel.invokeListMethod("log",{"type":type,"tag":tag,"message":message});
  }

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }
}
